JUCE: JSON Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
JSON Class Reference
juce_core » javascript

Contains static methods for converting JSON-formatted text to and from var objects. More...

`#include <juce_JSON.h>`

## Static Public Member Functions
static Result | parse (const String &text, var &parsedResult)
| Parses a string of JSON-formatted text, and returns a result code containing any parse errors.
static var | parse (const String &text)
| Attempts to parse some JSON-formatted text, and returns the result as a var object.
static var | parse (const File &file)
| Attempts to parse some JSON-formatted text from a file, and returns the result as a var object.
static var | parse (InputStream &input)
| Attempts to parse some JSON-formatted text from a stream, and returns the result as a var object.
static String | toString (const var &objectToFormat, bool allOnOneLine=false, int maximumDecimalPlaces=15)
| Returns a string which contains a JSON-formatted representation of the var object.
static var | fromString (StringRef)
| Parses a string that was created with the toString() method.
static void | writeToStream (OutputStream &output, const var &objectToFormat, bool allOnOneLine=false, int maximumDecimalPlaces=15)
| Writes a JSON-formatted representation of the var object to the given stream.
static String | escapeString (StringRef)
| Returns a version of a string with any extended characters escaped.
static Result | parseQuotedString (String::CharPointerType &text, var &result)
| Parses a quoted string-literal in JSON format, returning the un-escaped result in the result parameter, and an error message in case the content was illegal.

## Detailed Description

Contains static methods for converting JSON-formatted text to and from var objects.

The var class is structurally compatible with JSON-formatted data, so these functions allow you to parse JSON into a var object, and to convert a var object to JSON-formatted text.

See also
  var

## Member Function Documentation

## ◆ parse() [1/4]

static Result JSON::parse | ( | const String & | text,
|  | var & | parsedResult
| ) |  |
| static

Parses a string of JSON-formatted text, and returns a result code containing any parse errors.

This will return the parsed structure in the parsedResult parameter, and will return a Result object to indicate whether parsing was successful, and if not, it will contain an error message.

If you're not interested in the error message, you can use one of the other shortcut parse methods, which simply return a var() if the parsing fails.

Note that this will only parse valid JSON, which means that the item given must be either an object or an array definition. If you want to also be able to parse any kind of primitive JSON object, use the fromString() method.

## ◆ parse() [2/4]

static var JSON::parse | ( | const String & | text | ) |
| static

Attempts to parse some JSON-formatted text, and returns the result as a var object.

If the parsing fails, this simply returns var() - if you need to find out more detail about the parse error, use the alternative parse() method which returns a Result.

Note that this will only parse valid JSON, which means that the item given must be either an object or an array definition. If you want to also be able to parse any kind of primitive JSON object, use the fromString() method.

## ◆ parse() [3/4]

static var JSON::parse | ( | const File & | file | ) |
| static

Attempts to parse some JSON-formatted text from a file, and returns the result as a var object.

Note that this is just a short-cut for reading the entire file into a string and parsing the result.

If the parsing fails, this simply returns var() - if you need to find out more detail about the parse error, use the alternative parse() method which returns a Result.

## ◆ parse() [4/4]

static var JSON::parse | ( | InputStream & | input | ) |
| static

Attempts to parse some JSON-formatted text from a stream, and returns the result as a var object.

Note that this is just a short-cut for reading the entire stream into a string and parsing the result.

If the parsing fails, this simply returns var() - if you need to find out more detail about the parse error, use the alternative parse() method which returns a Result.

## ◆ toString()

static String JSON::toString | ( | const var & | objectToFormat,
|  | bool | allOnOneLine = `false`,
|  | int | maximumDecimalPlaces = `15`
| ) |  |
| static

Returns a string which contains a JSON-formatted representation of the var object.

If allOnOneLine is true, the result will be compacted into a single line of text with no carriage-returns. If false, it will be laid-out in a more human-readable format. The maximumDecimalPlaces parameter determines the precision of floating point numbers in scientific notation.

See also
  writeToStream

## ◆ fromString()

static var JSON::fromString | ( | StringRef |  | ) |
| static

Parses a string that was created with the toString() method.

This is slightly different to the parse() methods because they will reject primitive values and only accept array or object definitions, whereas this method will handle either.

## ◆ writeToStream()

static void JSON::writeToStream | ( | OutputStream & | output,
|  | const var & | objectToFormat,
|  | bool | allOnOneLine = `false`,
|  | int | maximumDecimalPlaces = `15`
| ) |  |
| static

Writes a JSON-formatted representation of the var object to the given stream.

If allOnOneLine is true, the result will be compacted into a single line of text with no carriage-returns. If false, it will be laid-out in a more human-readable format. The maximumDecimalPlaces parameter determines the precision of floating point numbers in scientific notation.

See also
  toString

## ◆ escapeString()

static String JSON::escapeString | ( | StringRef |  | ) |
| static

Returns a version of a string with any extended characters escaped.

## ◆ parseQuotedString()

static Result JSON::parseQuotedString | ( | String::CharPointerType & | text,
|  | var & | result
| ) |  |
| static

Parses a quoted string-literal in JSON format, returning the un-escaped result in the result parameter, and an error message in case the content was illegal.

This advances the text parameter, leaving it positioned after the closing quote.

The documentation for this class was generated from the following file:

- juce_JSON.h